Loading...
Searching...
No Matches
bond.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/base.h>`
`#include <openbabel/atom.h>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBBond

## Namespaces

namespace | OpenBabel

## Macros

#define | OB_EXTERN extern
#define | OB_AROMATIC_BOND (1<<1)
#define | OB_WEDGE_BOND (1<<2)
#define | OB_HASH_BOND (1<<3)
#define | OB_RING_BOND (1<<4)
#define | OB_CLOSURE_BOND (1<<10)
#define | OB_WEDGE_OR_HASH_BOND (1<<11)
#define | SET_OR_UNSET_FLAG(X)

## Detailed Description

Handle bonds.

## Macro Definition Documentation

## OB_EXTERN

#define OB_EXTERN extern

## OB_AROMATIC_BOND

#define OB_AROMATIC_BOND (1<<1)

An aromatic bond (regardless of bond order).

Referenced by OBBond::IsAromatic(), and OBBond::SetAromatic().

## OB_WEDGE_BOND

#define OB_WEDGE_BOND (1<<2)

A solid black wedge in 2D representations – i.e., "up" from the 2D plane.

Referenced by OBBond::IsWedge().

## OB_HASH_BOND

#define OB_HASH_BOND (1<<3)

A dashed "hash" bond in 2D representations – i.e., "down" from the 2D plane.

Referenced by OBBond::IsHash().

## OB_RING_BOND

#define OB_RING_BOND (1<<4)

A bond in a ring.

Referenced by OBBond::IsInRing(), and OBBond::SetInRing().

## OB_CLOSURE_BOND

#define OB_CLOSURE_BOND (1<<10)

A bond which "closes" a ring when walking the molecular graph.

Referenced by OBBond::IsClosure(), and OBBond::SetClosure().

## OB_WEDGE_OR_HASH_BOND

#define OB_WEDGE_OR_HASH_BOND (1<<11)

## SET_OR_UNSET_FLAG

#define SET_OR_UNSET_FLAG | ( |  | X | ) |

Value:
if (value) SetFlag(X); \
else UnsetFlag(X);